unit AboutForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TfmAbout = class(TForm)
    paButton: TPanel;
    paClient: TPanel;
    buOK: TButton;
    imLogo: TImage;
    laTitle: TLabel;
    laCopyright: TLabel;
    laInfo: TLabel;
    laURL: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure laURLClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ShowAboutBox;

implementation

uses ShellApi;

procedure ShowAboutBox;
var
  fmAbout: TfmAbout;
begin
  fmAbout := TfmAbout.Create(nil);
  try
    fmAbout.ShowModal();
  finally
    fmAbout.Free();
  end;
end;

{$R *.DFM}

procedure TfmAbout.FormCreate(Sender: TObject);
begin
  imLogo.Picture.Icon.ReleaseHandle();
  imLogo.Picture.Icon.Handle := LoadIcon(HInstance, 'MAINICON');
end;

procedure TfmAbout.laURLClick(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, PChar((Sender as TLabel).Caption), nil, nil,
    SW_SHOWNORMAL);
end;

end.
